#=========================================================================================
#@(#)Thierry: $Id$ - PortDef
#
#    A class to describe what's available within a port
#
# (C) 2000 by Dassault Aviation <thierry.chevalier@dassault-aviation.fr>
#-----------------------------------------------------------------------------------------
#$Log$
#========================================================================================= 
class PortDef:

	def __init__(self, name, desc, type, category):
		self.name= name
		self.desc= desc
		self.type= type
		self.category= category

	def __repr__(self):
		return self.name

class InputPortDef(PortDef):
	def __repr__(self):
		s= "InputPort " + self.name + "(" + self.type + ")"
		return s
	def Save(self,fid,indent):
		s="%s<inputportdef name=\"%s\" desc=\"%s\" type=\"%s\" category=\"%s\" />\n"%(indent,self.name,self.desc,self.type,self.category)   
		fid.write(s)

class OutputPortDef(PortDef):
	def __repr__(self):
		s= "OutputPort " + self.name + "(" + self.type + ")"
		return s
	def Save(self,fid,indent):
		s= "%s<outputportdef name=\"%s\" desc=\"%s\" type=\"%s\" category=\"%s\" />\n"%(indent,self.name,self.desc,self.type,self.category)   
		fid.write(s)

