#=========================================================================================
#@(#)Thierry: $Id$ - ParameterEditor
#
#    Handle individual parameter setting
#
# (C) 2000 by Dassault Aviation <thierry.chevalier@dassault-aviation.fr>
#-----------------------------------------------------------------------------------------
#$Log$
#-----------------------------------------------------------------------------------------
# Do list:
#========================================================================================= 

from Tkinter import *
import Pmw
from FileDialog import *
from tkSimpleDialog import *

from string import *
import re

class ParameterEditor :

	# Generic methods
	#--------------------------------------------
	def __init__(self,paramlisteditor,top,name,value):
		self.paramlisteditor=paramlisteditor
		self.top= top
		self.name=name
		self._initGUI(top,name,value)

	# Public methods
	#--------------------------------------------
	def Delete(self):
		self.paramlisteditor.DelParameter(self.name)
		self.wf.destroy()

	def Save(self,fid):
		value=self.vvalue.get()
		s= "%s=%s\n"%(self.name,value)
		fid.write(s)

	# Internal GUI methods
	#--------------------------------------------
	def _initGUI(self,top,name,value):
		self.wf= Frame(top, relief="sunken")
		self.wf.pack(side="top", fill="both", expand="yes")

		l=Label(self.wf,text=name)
		l.pack(side="left")

		self.vvalue= StringVar()
		self.vvalue.set(value)
		e=Entry(self.wf,textvariable=self.vvalue)
		e.pack(side="left",fill="x",expand="yes")
		
		b=Button(self.wf,text="X",command=self.Delete)
		b.pack(side="right")
