#=========================================================================================
#@(#)Thierry: $Id$ - ParameterDef
#
#     A class to describe what's available within a parameter
#
# (C) 2000 by Dassault Aviation <thierry.chevalier@dassault-aviation.fr>
#-----------------------------------------------------------------------------------------
#$Log$
#========================================================================================= 


#------------------------------------------
# Parameter definition class 
#-------------------------------------------
class ParameterDef:

	def __init__(self, name, desc, type):
		self.name= name
		self.desc= desc
		self.type= type

	def __repr__(self):
		s= self.name + "(" + self.type + ")"
		return s

	def Save(self,fid,indent):
		s= "%s<parameterdef name=\"%s\" desc=\"%s\" type=\"%s\" />\n"%(indent,self.name,self.desc,self.type)   
		fid.write(s)

